| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::VersionFileOperation Class Reference

## Public Types
enum | Task { NewFile = 1 << 0 , Replace = 1 << 1 , SaveAndDelete = 1 << 2 , MoveToIntermediate = 1 << 3 , StoreIntermediates = 1 << 4 }
typedef QFlags< Task > | Tasks

## Public Member Functions
| VersionFileOperation ()=default
| This class describes an operation necessary for storing an image under version control.
QStringList | allFilePaths () const
| Returns a list with all saving locations, for main result or intermediates.

## Public Attributes
VersionFileInfo | intermediateForLoadedFile
QMap< int, VersionFileInfo > | intermediates
VersionFileInfo | loadedFile
VersionFileInfo | saveFile
Tasks | tasks

## Member Enumeration Documentation

## ◆ Task

enum Digikam::VersionFileOperation::Task

Enumerator
NewFile | saveFile is a new file. Excludes Replace.
Replace | loadedFile and saveFile are the same - replace. Excludes NewFile.
SaveAndDelete | Similar to Replace, but the new file name differs from the old one, which should be removed.
MoveToIntermediate | Move loadedFile to loadedFileToIntermediate.
StoreIntermediates | Store additional snapshots from within history.

## Constructor & Destructor Documentation

## ◆ VersionFileOperation()

Digikam::VersionFileOperation::VersionFileOperation | ( |  | ) |
| explicit default

The loadedFile and current history is given to the VersionManager. The saveFile is the destination of the save operation. If the loadedFile shall be moved to an intermediate, the name is given in intermediateForLoadedFile. The intermediates map may contain name of intermediates to save the state after action i of the history (initialResolvedHistory.size() <= i < currentHistory.size() - 1).